通知处理程序
GET https://tistos.com/api/notification-handlers/
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详细信息 | 描述 |
|---|---|---|
| search | 可选的 字符串 | 搜索字符串。 |
| search_by | 可选的 字符串 | 您正在按哪个字段搜索。允许的值为:name。 |
| is_enabled | 可选的 布尔值 | |
| type | 可选的 字符串 | 您正在按哪个字段搜索。允许的值为:email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat。 |
| datetime_field | 可选的 字符串 | 允许的值:datetime, last_datetime |
| datetime_start | 可选的 字符串 | 从此日期和时间开始筛选结果。格式 Y-m-d H:i:s。 |
| datetime_end | 可选的 字符串 | 筛选结果直到此日期和时间。格式 Y-m-d H:i:s。 |
| order_by | 可选的 字符串 | 按哪个字段排序结果。允许的值有:notification_handler_id, datetime, last_datetime, name。 |
| order_type | 可选的 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| search | 可选的 字符串 | 搜索字符串。 |
| search_by | 可选的 字符串 | 您正在按哪个字段搜索。允许的值为:name。 |
| is_enabled | 可选的 布尔值 | |
| type | 可选的 字符串 | 您正在按哪个字段搜索。允许的值为:email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat。 |
| datetime_field | 可选的 字符串 | 允许的值:datetime, last_datetime |
| datetime_start | 可选的 字符串 | 从此日期和时间开始筛选结果。格式 Y-m-d H:i:s。 |
| datetime_end | 可选的 字符串 | 筛选结果直到此日期和时间。格式 Y-m-d H:i:s。 |
| order_by | 可选的 字符串 | 按哪个字段排序结果。允许的值有:notification_handler_id, datetime, last_datetime, name。 |
| order_type | 可选的 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选的 整数 | 您想要结果的页码。默认为 1。 |
| results_per_page | 可选的 整数 | 每页您想要多少个结果。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:45:41",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/notification-handlers?page=1",
"last": "https://tistos.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/notification-handlers?page=1"
}
}
GET https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:45:41",
}
}
POST https://tistos.com/api/notification-handlers
| 参数 | 详细信息 | 描述 |
|---|---|---|
| name | 必需 字符串 | - |
| type | 必需 字符串 | 允许的值:email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| 可选的 字符串 | 可用时间:type = email 电子邮件 | |
| webhook | 可选的 字符串 | 可用时间:type = webhook Webhook网址 |
| slack | 可选的 字符串 | 可用时间:type = slack Slack webhook网址 |
| discord | 可选的 字符串 | 可用时间:type = discord Discord webhook网址 |
| telegram | 可选的 字符串 | 可用时间:type = telegram Telegram API 密钥 |
| telegram_chat_id | 可选的 字符串 | 可用时间:type = telegram Telegram 聊天 ID |
| microsoft_teams | 可选的 字符串 | 可用时间:type = microsoft_teams Microsoft Teams webhook网址 |
| google_chat | 可选的 字符串 | 可用时间:type = google_chat Google Chat webhook URL |
| x_consumer_key | 可选的 字符串 | 可用时间:type = x Telegram API 密钥 |
| x_consumer_secret | 可选的 字符串 | 可用时间:type = x Telegram API 密钥 |
| x_access_token | 可选的 字符串 | 可用时间:type = x Telegram API 密钥 |
| x_access_token_secret | 可选的 字符串 | 可用时间:type = x Telegram API 密钥 |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/notification-handlers/{notification_handler_id}
| 参数 | 详细信息 | 描述 |
|---|---|---|
| name | 可选的 字符串 | - |
| type | 可选的 字符串 | 允许的值:email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| 可选的 字符串 | 可用时间:type = email 电子邮件 | |
| webhook | 可选的 字符串 | 可用时间:type = webhook Webhook网址 |
| slack | 可选的 字符串 | 可用时间:type = slack Slack webhook网址 |
| discord | 可选的 字符串 | 可用时间:type = discord Discord webhook网址 |
| telegram | 可选的 字符串 | 可用时间:type = telegram Telegram API 密钥 |
| telegram_chat_id | 可选的 字符串 | 可用时间:type = telegram Telegram 聊天 ID |
| microsoft_teams | 可选的 字符串 | 可用时间:type = microsoft_teams Microsoft Teams webhook网址 |
| google_chat | 可选的 字符串 | 可用时间:type = google_chat Google Chat webhook URL |
| x_consumer_key | 可选的 字符串 | 可用时间:type = x Telegram API 密钥 |
| x_consumer_secret | 可选的 字符串 | 可用时间:type = x Telegram API 密钥 |
| x_access_token | 可选的 字符串 | 可用时间:type = x Telegram API 密钥 |
| x_access_token_secret | 可选的 字符串 | 可用时间:type = x Telegram API 密钥 |
| is_enabled | 可选的 布尔值 | - |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \